%define libver   1.0.0
%define libmajor 1

Summary:      Clxclient C++ libraries
Name:         clxclient
Version:      1.0.2
Release:      1
License:      GPL
Group:        System Environment/Libraries
URL:          http://users.skynet.be/solaris/linuxaudio/
Source0:      %{name}-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-root

Obsoletes:    classlibs <= 0.0.1

BuildRequires: gcc-c++ clthreads-devel xorg-x11-proto-devel

%description
Clxclient C++ libraries

%package  devel
Summary:  Clxclient C++ libraries
Group:    Development/Libraries
Requires: clxclient = %{version}-%{release}

Obsoletes: classlibs-devel <= 0.0.1

%description devel
Clxclient C++ libraries. This package includes the
development tools.

%prep
%setup -q -n %{name}-%{version}

%build
#{__perl} -p -i -e "s|/sbin/ldconfig|# /sbin/ldconfig|g" Makefile
%{__perl} -p -i -e "s| -O2| -O2 -g -fpermissive|g" Makefile
%ifarch x86_64
%{__perl} -p -i -e "s|/lib|/lib64|g" Makefile
%endif
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_libdir}
%{__mkdir} -p %{buildroot}%{_includedir}
%{__make} CLXCLIENT_LIBDIR=%{buildroot}%{_libdir} \
          CLXCLIENT_INCDIR=%{buildroot}%{_includedir} install

# create .so.1 link
# %{__ln_s} libclxclient.so.%{libver} %{buildroot}%{_libdir}/libclxclient.so.%{libmajor}

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so

%changelog
* Mon Apr 10 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x
- Update to 1.0.2

* Thu Jun 16 2005 Eddy Nigg <eddy_nigg@startcom.org>
- rebuild and update for StartCom Linux 4.0.x

